/* Typography
===========================================================
Text styles for headings, paragraphs, quotes, etc.
*/


/* Document
-----------------------------------------------------------
*/

/* Text Selection Defaults
-----------------------------------------------------------
*/

::selection { // WebKit/Blink Browsers
    background: $gray-light;
}

::-moz-selection { // Gecko Browsers
    background: $gray-light;
}


/* Headings
-----------------------------------------------------------
Format as mixins in case the styles need to be applied to
other elements.

    <h1>Heading 1</h1>
    <h2>Heading 2</h2>
    <h3>Heading 3</h3>
    <h4>Heading 4</h4>
    <h5>Heading 5</h5>

*/

h1, h2, h3, h4, h5, *.h1, *.h2, *.h3, *.h4, *.h5 {
    font-family: $headings-font-family;
    font-weight: $headings-font-weight;
}

h2,
h3 {
  line-height: 1.1em;
  margin-bottom: .4em;
}

.block--sidebar h2 {
  font-size: $font-size-h3;
}

/* Menus */

.menu {
  font-family: $headings-font-family;
  font-weight: normal;
}

/* Citation, Variable, Address, Definiton
-----------------------------------------------------------

    <blockquote>
    ...
    </blockquote>
*/

blockquote {
    font-family: $headings-font-family;
    margin-top: 0;
    margin-bottom: 0.75em;
    margin-left: 1.5em;
    margin-right: 1.5em;
    padding-top: 0;
    padding-bottom: 0;
    font-weight: 700;
    cite {
        font-family: $font-family-sans-serif;
        display: block;
        margin-top: 0;
        margin-bottom:0.75em;
        padding-top: 0.45em;
        padding-bottom: 0.3em;
        font-size: 1em;
        line-height: 1.5;
        font-weight: 400;
    }
}

.fonts-loaded blockquote {
    font-family: "HeadlineSerif", $headings-font-family;
    cite {
        font-family: $font-family-sans-serif;
    }
}

/* Quote
-----------------------------------------------------------

    <q>
    ...
    </q>
*/

q {
    &::before {
        content: '“';
        float: left;
    }
    &::after {
        content: '”';
    }
}


/* Hanging Quotes
-----------------------------------------------------------

    <q class="hang">
    ...
    </q>
*/

q.hang::before {
    margin-left: -0.5em;
}


/* Horizontal Rule
-----------------------------------------------------------

    <hr>
*/

hr {
    margin-top: 0.7em;
    margin-bottom: 0.75em;
    border: 0;
    height: 0;
    border-bottom: 1px solid $gray;
}

hr.dark {
    border-color: $gray-darker;
}

.small-text {
    font-weight: normal;
    font-size: 0.85em;
    margin-left: 20px;
}

ol,
ul {
  padding-left: 2em;
}

input,
select,
input.btn {
    border-radius: 1rem;
}
